Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Rich Client Platform (RCP) » java.lang.RuntimeException: Application "id" could not be found(Unable to launch the GUI of an Eclipse RCP application developed on Eclipse 3.7.2)
icon9.gif  java.lang.RuntimeException: Application "id" could not be found [message #875148] Tue, 22 May 2012 08:22 Go to next message
dhananjay madiraju is currently offline dhananjay madiraju
Messages: 2
Registered: May 2012
Junior Member
We recently upgrade out Eclipse RCP application from version 3.5.2 to 3.7.2.
We were able to launch the application from within the Eclipse 3.7.2 environment, but when the pde-ant build is done, and the application is run from outside the 3.7.2 environment the GUI isn't coming up and the below error is seen in < path to configuration folder>\


!SESSION 2012-05-21 23:56:57.141 -----------------------------------------------
eclipse.buildId=unknown
java.fullversion=JRE 1.6.0 IBM J9 2.4 Windows Server 2008 R2 x86-32 jvmwi3260sr9-20110203_74623 (JIT disabled, AOT disabled)
J9VM - 20110203_074623
GC - 20101027_AA
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Framework arguments: gui
Command-line arguments: -os win32 -ws win32 -arch x86 gui -debug

!ENTRY org.eclipse.osgi 2 0 2012-05-21 23:56:59.204
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.204
!MESSAGE Bundle update@plugins/org.apache.lucene.analysis_2.9.1.v201101211721.jar was not resolved.
!SUBENTRY 2 org.apache.lucene.analysis 2 0 2012-05-21 23:56:59.204
!MESSAGE Missing required bundle org.apache.lucene.core_[2.9.1,3.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.204
!MESSAGE Bundle update@plugins/org.apache.lucene_2.9.1.v201101211721.jar was not resolved.
!SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.204
!MESSAGE Missing required bundle org.apache.lucene.core_[2.9.1,3.0.0).

!ENTRY org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
!MESSAGE Bundle com.ibm.ecm.configmgr.app.ce_5.1.1.201205212153 [7] was not resolved.
!SUBENTRY 2 com.ibm.ecm.configmgr.app.ce 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing required bundle org.eclipse.help.ui_3.3.101.
!SUBENTRY 2 com.ibm.ecm.configmgr.app.ce 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing required bundle org.eclipse.help.webapp_3.3.101.
!SUBENTRY 2 com.ibm.ecm.configmgr.app.ce 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing required bundle com.ibm.ecm.configmgr.ui_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
!MESSAGE Bundle com.ibm.ecm.configmgr.ui_5.1.1.201205212153 [9] was not resolved.
!SUBENTRY 2 com.ibm.ecm.configmgr.ui 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing required bundle org.eclipse.help.ui_3.3.101.
!SUBENTRY 2 com.ibm.ecm.configmgr.ui 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing required bundle org.eclipse.help.webapp_3.3.101.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
!MESSAGE Bundle org.apache.lucene.analysis_2.9.1.v201101211721 [21] was not resolved.
!SUBENTRY 2 org.apache.lucene.analysis 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing required bundle org.apache.lucene.core_[2.9.1,3.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
!MESSAGE Bundle org.apache.lucene_2.9.1.v201101211721 [22] was not resolved.
!SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing required bundle org.apache.lucene.core_[2.9.1,3.0.0).
!SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing optionally required bundle org.apache.lucene.analysis_[2.9.1,3.0.0).
!SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing optionally required bundle org.apache.lucene.highlighter_[2.9.1,3.0.0).
!SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing optionally required bundle org.apache.lucene.memory_[2.9.1,3.0.0).
!SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing optionally required bundle org.apache.lucene.queries_[2.9.1,3.0.0).
!SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing optionally required bundle org.apache.lucene.snowball_[2.9.1,3.0.0).
!SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing optionally required bundle org.apache.lucene.spellchecker_[2.9.1,3.0.0).
!SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing optionally required bundle org.apache.lucene.misc_[2.9.1,3.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
!MESSAGE Bundle org.eclipse.help.base_3.6.2.v201202080800 [48] was not resolved.
!SUBENTRY 2 org.eclipse.help.base 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing required bundle org.apache.lucene_[2.9.0,3.0.0).
!SUBENTRY 2 org.eclipse.help.base 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing required bundle org.apache.lucene.analysis_[2.9.0,3.0.0).
!SUBENTRY 2 org.eclipse.help.base 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing optionally required bundle org.eclipse.ant.core_3.2.200.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
!MESSAGE Bundle org.eclipse.help.ui_3.5.101.r37_20110819 [49] was not resolved.
!SUBENTRY 2 org.eclipse.help.ui 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing required bundle org.eclipse.help.base_[3.5.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
!MESSAGE Bundle org.eclipse.help.webapp_3.6.1.r37_20110929 [50] was not resolved.
!SUBENTRY 2 org.eclipse.help.webapp 2 0 2012-05-21 23:56:59.235
!MESSAGE Missing required bundle org.eclipse.help.base_[3.5.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
!MESSAGE Bundle org.eclipse.swt.gtk.aix.ppc_3.7.2.v3740f [57] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
!MESSAGE Bundle org.eclipse.swt.gtk.hpux.ia64_32_3.7.2.v3740f [58] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
!MESSAGE Bundle org.eclipse.swt.gtk.linux.s390x_3.7.2.v3740f [59] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
!MESSAGE Bundle org.eclipse.swt.gtk.linux.s390_3.7.2.v3740f [60] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
!MESSAGE Bundle org.eclipse.swt.gtk.linux.x86_3.7.2.v3740f [61] was not resolved.
!SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
!MESSAGE Bundle org.eclipse.swt.gtk.solaris.sparc_3.7.2.v3740f [62] was not resolved.

!ENTRY org.eclipse.osgi 4 0 2012-05-21 23:56:59.251
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: Application "com.ibm.ecm.configmgr.app.ce.application" could not be found in the registry. The

applications available are: org.eclipse.equinox.app.error.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:248)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
at java.lang.reflect.Method.invoke(Method.java:611)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
at org.eclipse.equinox.launcher.Main.run(Main.java:1410)


The application name configmgr.exe and the .ini file name do match (configmr.ini)
Content of .ini file is
===================================================================================
-vm
C:/Program Files (x86)/IBM/FileNet/ContentEngine/_cejvm/jre/bin
gui
-debug
-vmargs
-Djava.compiler=none
-Djava.util.logging.config.file=C:/Program Files (x86)/IBM/FileNet/ContentEngine/tools/configure/configuration/cmlogging.properties
===================================================================================


Please suggest whats wrong with the pde-build / application / any known issues with 3.7.2 related to the above errors.
Re: java.lang.RuntimeException: Application &quot;id&quot; could not be found [message #875201 is a reply to message #875148] Tue, 22 May 2012 10:06 Go to previous messageGo to next message
Libor Jelinek is currently offline Libor Jelinek
Messages: 143
Registered: January 2012
Location: Prague, Czech Rep.
Senior Member

Does your PDE Build log contain any errors?

Are all mentioned plug-ins present in plugins/ folder of final
application archive? E.g. is there
org.apache.lucene.analysis_2.9.1.v201101211721.jar and
org.apache.lucene_2.9.1.v201101211721.jar, ...?

Are you able to run your RCP app at least from IDE?

Cheers
Libor

On 05/22/2012 10:23 AM, dhananjay madiraju wrote:
> We recently upgrade out Eclipse RCP application from version 3.5.2 to
> 3.7.2. We were able to launch the application from within the Eclipse
> 3.7.2 environment, but when the pde-ant build is done, and the
> application is run from outside the 3.7.2 environment the GUI isn't
> coming up and the below error is seen in < path to configuration folder>\
>
> !SESSION 2012-05-21 23:56:57.141
> -----------------------------------------------
> eclipse.buildId=unknown
> java.fullversion=JRE 1.6.0 IBM J9 2.4 Windows Server 2008 R2 x86-32
> jvmwi3260sr9-20110203_74623 (JIT disabled, AOT disabled)
> J9VM - 20110203_074623
> GC - 20101027_AA
> BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
> Framework arguments: gui
> Command-line arguments: -os win32 -ws win32 -arch x86 gui -debug
>
> !ENTRY org.eclipse.osgi 2 0 2012-05-21 23:56:59.204
> !MESSAGE One or more bundles are not resolved because the following root
> constraints are not resolved:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.204
> !MESSAGE Bundle
> update@plugins/org.apache.lucene.analysis_2.9.1.v201101211721.jar was
> not resolved.
> !SUBENTRY 2 org.apache.lucene.analysis 2 0 2012-05-21 23:56:59.204
> !MESSAGE Missing required bundle org.apache.lucene.core_[2.9.1,3.0.0).
> !SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.204
> !MESSAGE Bundle update@plugins/org.apache.lucene_2.9.1.v201101211721.jar
> was not resolved.
> !SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.204
> !MESSAGE Missing required bundle org.apache.lucene.core_[2.9.1,3.0.0).
>
> !ENTRY org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
> !MESSAGE The following is a complete list of bundles which are not
> resolved, see the prior log entry for the root cause if it exists:
> !SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
> !MESSAGE Bundle com.ibm.ecm.configmgr.app.ce_5.1.1.201205212153 [7] was
> not resolved.
> !SUBENTRY 2 com.ibm.ecm.configmgr.app.ce 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing required bundle org.eclipse.help.ui_3.3.101.
> !SUBENTRY 2 com.ibm.ecm.configmgr.app.ce 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing required bundle org.eclipse.help.webapp_3.3.101.
> !SUBENTRY 2 com.ibm.ecm.configmgr.app.ce 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing required bundle com.ibm.ecm.configmgr.ui_0.0.0.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
> !MESSAGE Bundle com.ibm.ecm.configmgr.ui_5.1.1.201205212153 [9] was not
> resolved.
> !SUBENTRY 2 com.ibm.ecm.configmgr.ui 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing required bundle org.eclipse.help.ui_3.3.101.
> !SUBENTRY 2 com.ibm.ecm.configmgr.ui 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing required bundle org.eclipse.help.webapp_3.3.101.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
> !MESSAGE Bundle org.apache.lucene.analysis_2.9.1.v201101211721 [21] was
> not resolved.
> !SUBENTRY 2 org.apache.lucene.analysis 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing required bundle org.apache.lucene.core_[2.9.1,3.0.0).
> !SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
> !MESSAGE Bundle org.apache.lucene_2.9.1.v201101211721 [22] was not
> resolved.
> !SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing required bundle org.apache.lucene.core_[2.9.1,3.0.0).
> !SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing optionally required bundle
> org.apache.lucene.analysis_[2.9.1,3.0.0).
> !SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing optionally required bundle
> org.apache.lucene.highlighter_[2.9.1,3.0.0).
> !SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing optionally required bundle
> org.apache.lucene.memory_[2.9.1,3.0.0).
> !SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing optionally required bundle
> org.apache.lucene.queries_[2.9.1,3.0.0).
> !SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing optionally required bundle
> org.apache.lucene.snowball_[2.9.1,3.0.0).
> !SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing optionally required bundle
> org.apache.lucene.spellchecker_[2.9.1,3.0.0).
> !SUBENTRY 2 org.apache.lucene 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing optionally required bundle
> org.apache.lucene.misc_[2.9.1,3.0.0).
> !SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
> !MESSAGE Bundle org.eclipse.help.base_3.6.2.v201202080800 [48] was not
> resolved.
> !SUBENTRY 2 org.eclipse.help.base 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing required bundle org.apache.lucene_[2.9.0,3.0.0).
> !SUBENTRY 2 org.eclipse.help.base 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing required bundle org.apache.lucene.analysis_[2.9.0,3.0.0).
> !SUBENTRY 2 org.eclipse.help.base 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing optionally required bundle org.eclipse.ant.core_3.2.200.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
> !MESSAGE Bundle org.eclipse.help.ui_3.5.101.r37_20110819 [49] was not
> resolved.
> !SUBENTRY 2 org.eclipse.help.ui 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing required bundle org.eclipse.help.base_[3.5.0,4.0.0).
> !SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
> !MESSAGE Bundle org.eclipse.help.webapp_3.6.1.r37_20110929 [50] was not
> resolved.
> !SUBENTRY 2 org.eclipse.help.webapp 2 0 2012-05-21 23:56:59.235
> !MESSAGE Missing required bundle org.eclipse.help.base_[3.5.0,4.0.0).
> !SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
> !MESSAGE Bundle org.eclipse.swt.gtk.aix.ppc_3.7.2.v3740f [57] was not
> resolved.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
> !MESSAGE Bundle org.eclipse.swt.gtk.hpux.ia64_32_3.7.2.v3740f [58] was
> not resolved.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
> !MESSAGE Bundle org.eclipse.swt.gtk.linux.s390x_3.7.2.v3740f [59] was
> not resolved.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
> !MESSAGE Bundle org.eclipse.swt.gtk.linux.s390_3.7.2.v3740f [60] was not
> resolved.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
> !MESSAGE Bundle org.eclipse.swt.gtk.linux.x86_3.7.2.v3740f [61] was not
> resolved.
> !SUBENTRY 1 org.eclipse.osgi 2 0 2012-05-21 23:56:59.235
> !MESSAGE Bundle org.eclipse.swt.gtk.solaris.sparc_3.7.2.v3740f [62] was
> not resolved.
>
> !ENTRY org.eclipse.osgi 4 0 2012-05-21 23:56:59.251
> !MESSAGE Application error
> !STACK 1
> java.lang.RuntimeException: Application
> "com.ibm.ecm.configmgr.app.ce.application" could not be found in the
> registry. The
> applications available are: org.eclipse.equinox.app.error.
> at
> org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:248)
>
> at
> org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
>
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
>
> at
> org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
>
> at
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
>
> at
> org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
>
> at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
> at
> sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:60)
>
> at
> sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
>
> at java.lang.reflect.Method.invoke(Method.java:611)
> at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
> at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
> at org.eclipse.equinox.launcher.Main.run(Main.java:1410)
>
>
> The application name configmgr.exe and the .ini file name do match
> (configmr.ini)
> Content of .ini file is
> ===================================================================================
>
> -vm
> C:/Program Files (x86)/IBM/FileNet/ContentEngine/_cejvm/jre/bin
> gui
> -debug
> -vmargs
> -Djava.compiler=none
> -Djava.util.logging.config.file=C:/Program Files
> (x86)/IBM/FileNet/ContentEngine/tools/configure/configuration/cmlogging.properties
>
> ===================================================================================
>
>
>
> Please suggest whats wrong with the pde-build / application / any known
> issues with 3.7.2 related to the above errors.
>
Re: java.lang.RuntimeException: Application &quot;id&quot; could not be found [message #875221 is a reply to message #875201] Tue, 22 May 2012 10:47 Go to previous messageGo to next message
dhananjay madiraju is currently offline dhananjay madiraju
Messages: 2
Registered: May 2012
Junior Member
No the PDE build was successful. I had some linux/aix motif related issues, which I fixed by replacing motif with gtk (Eclipse replaced support of motif with gtk)

Yes all the files mentioned in the error log do exist in the plugins folder. And I am able to run the application from within the Eclipse IDE.

Re: java.lang.RuntimeException: Application &quot;id&quot; could not be found [message #987181 is a reply to message #875221] Sat, 24 November 2012 08:24 Go to previous messageGo to next message
Sandeep Yohans is currently offline Sandeep Yohans
Messages: 10
Registered: April 2012
Location: Nagpur, India
Junior Member
Hello,

I am also facing the same problem.

My Eclipse RCP Application is running fine from the IDE but when I'm running it using the ".exe" generated after exporting it, It gives this message in log file:
!SESSION 2012-11-24 13:22:38.484 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_30
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
Command-line arguments:  -os win32 -ws win32 -arch x86 -consoleLog

!ENTRY org.eclipse.osgi 4 0 2012-11-24 13:22:39.406
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: Application "" could not be found in the registry. The applications available are: org.eclipse.equinox.app.error.
	at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:248)
	at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:344)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:622)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:577)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1410)

I'm exporting it using the "Eclipse Product export wizard" in the "Exporting" section under the "Overview" tab of ".(dot)product" file.

Is this some kind of bug?

I am still not able to find any particular solution on this.

Thanks in advance.

[Updated on: Mon, 26 November 2012 09:18]

Report message to a moderator

Re: java.lang.RuntimeException: Application &quot;id&quot; could not be found [message #987187 is a reply to message #987181] Sat, 24 November 2012 10:22 Go to previous messageGo to next message
Brian de Alwis is currently offline Brian de Alwis
Messages: 189
Registered: January 2012
Senior Member

Sandeep, your issue is likely that your app bundle doesn't include its plugin.xml -- check the "Build" tab in the manifest editor.

Dhananjay, if you've verified that you're including the lucene bundles, the start your app with the OSGi console and use the "diag" command to understand why those bundles are failing to load. The following link is helpful:

http://wiki.eclipse.org/Where_Is_My_Bundle


Eclipse Platform committer. Ask me about Eclipse support, training, and consulting.
Re: java.lang.RuntimeException: Application &quot;id&quot; could not be found [message #987352 is a reply to message #987187] Mon, 26 November 2012 09:21 Go to previous messageGo to next message
Sandeep Yohans is currently offline Sandeep Yohans
Messages: 10
Registered: April 2012
Location: Nagpur, India
Junior Member
Thank you Brian, it did work.
Re: java.lang.RuntimeException: Application &quot;id&quot; could not be found [message #1124652 is a reply to message #987352] Thu, 03 October 2013 19:18 Go to previous message
Andre Mesquita is currently offline Andre Mesquita
Messages: 1
Registered: October 2013
Junior Member
Hello, do you remember what you did to solve this problem?
Previous Topic:How to use databinding between widget and List nested in model object
Next Topic:My update site does not work very well...
Goto Forum:
  


Current Time: Fri Sep 19 12:11:55 GMT 2014

Powered by FUDForum. Page generated in 0.02915 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software